|  | Home · All Classes · All Functions · Overviews

# QFontEnginePlugin Class Reference
[QtGui module]

The QFontEnginePlugin class is the base class for font engine factory plugins in Qt for Embedded Linux. More...

     #include <QFontEnginePlugin>

This class is under development and is subject to change.

Inherits QObject.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

## Public Functions

| QFontEnginePlugin ( const QString & foundry, QObject * parent = 0 )
| ~QFontEnginePlugin ()

## Reimplemented Public Functions

virtual QList<QFontEngineInfo> | availableFontEngines () const = 0
virtual QAbstractFontEngine * | create ( const QFontEngineInfo & info ) = 0
virtual QStringList | keys () const

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QFontEnginePlugin class is the base class for font engine factory plugins in Qt for Embedded Linux.

QFontEnginePlugin is provided by font engine plugins to create instances of subclasses of QAbstractFontEngine.

The member functions create() and availableFontEngines() must be implemented.

See also QAbstractFontEngine and QFontEngineInfo.

## Member Function Documentation

### QFontEnginePlugin::QFontEnginePlugin ( const QString & foundry, QObject * parent = 0 )

Creates a font engine plugin that creates font engines with the specified foundry and parent.

### QFontEnginePlugin::~QFontEnginePlugin ()

Destroys this font engine plugin.

### QList<QFontEngineInfo> QFontEnginePlugin::availableFontEngines () const `[pure virtual]`

Implemented in subclasses to return a list of QFontEngineInfo objects that represents all font engines the plugin can create.

### QAbstractFontEngine * QFontEnginePlugin::create ( const QFontEngineInfo & info ) `[pure virtual]`

Implemented in subclasses to create a new font engine that provides a font that matches info.

### QStringList QFontEnginePlugin::keys () const `[virtual]`

Returns a list of foundries the font engine plugin provides. The default implementation returns the foundry specified with the constructor.